import { mulmoTextSlideMediaSchema, mulmoMarkdownMediaSchema, mulmoImageMediaSchema, mulmoChartMediaSchema, mulmoMermaidMediaSchema, } from "../../types/index.js";
export const isMulmoImageTextSlide = (value) => {
    const result = mulmoTextSlideMediaSchema.safeParse(value);
    return result.success;
};
export const isMulmoImageMarkdown = (value) => {
    const result = mulmoMarkdownMediaSchema.safeParse(value);
    return result.success;
};
export const isMulmoImageImage = (value) => {
    const result = mulmoImageMediaSchema.safeParse(value);
    return result.success;
};
export const isMulmoImageChart = (value) => {
    const result = mulmoChartMediaSchema.safeParse(value);
    return result.success;
};
export const isMulmoImageMermaild = (value) => {
    const result = mulmoMermaidMediaSchema.safeParse(value);
    return result.success;
};
